

# Example
# infile <- "korea75m.asc"
# header <- F
# group.labels <- paste("X",seq(0,12),sep="")
# group.labels <- NA
# perc <- T
# zeromm <- "text"
# freq.column <- c(2:7)
# page.layout <- c(3,2)
# xlab="mm"
# ylab="per cent"
# plot.type="histogram"
#
# IndurationPlot(infile,header=header,freq.column,zeromm=F,plot.type="polygon.points")


IndurationPlot <- function(
infile,
freq.column,
group.labels,
header=F,
page.layout,
zeromm=c("no","yes","text")[1],
perc=F,
xlab="Induration (mm)",ylab="",
plot.type=c("histogram","polygon","polygon.points")[1],
pch=16)
{


if (is.character(infile)) freq <- read.table(infile,header=header)
else freq <- infile

if (!is.data.frame(freq)) freq <- matrix(freq,31,1)

len <- dim(freq)[1]

if (missing(freq.column))
freq.column <- seq(1,dim(freq)[2])

freq <- freq[,freq.column]

if (is.vector(freq)) freq <- matrix(freq,ncol=1)



if (header & missing(group.labels))
	group.labels <- names(freq)

if (!header & missing(group.labels)) {
   if (ncol(freq)>1)
	group.labels <- paste("group",seq(1:dim(freq)[2]) )
   if (ncol(freq)==1)
	group.labels <- ""
}



ncol <- dim(freq)[2]


ncol <- dim(freq)[2]
print(ncol)
if (missing(page.layout)) {
pg <- ceiling(sqrt(ncol))
if (pg*(pg-1)>=ncol) page.layout <- c(pg-1,pg) else page.layout <- c(pg,pg)
}

if (length(page.layout)==1)
page.layout <- c(1,1)


if (plot.type=="histogram")     {
type="s"
if (zeromm=="yes")      {
#freq1 <- rbind(freq,freq[31,])
freq1 <- freq[c(1:len,len),]
x1 <- seq(-0.5,len-0.5)
}
if (zeromm=="no" | zeromm=="text" )     {
#freq1 <- rbind(freq[2:31,],freq[31,])
freq1 <- freq[c(2:len,len),]
x1 <- seq(0.5,len-0.5)

}
}



if (plot.type=="polygon" | plot.type=="polygon.points") {
if (plot.type=="polygon")
type="l"
if (plot.type=="polygon.points")        {
type="o"
pch=pch
}

if (zeromm=="yes")      {
freq1 <- freq
x1 <- seq(0,len-1)
}

if (zeromm=="no" | zeromm=="text" )     {
freq1 <- freq[2:len,]

x1 <- seq(1,len-1)
}

}

print(freq)
print(freq1)


jj <- 0
for ( j in 1:ncol)	{
jj <- jj+1
if ((page.layout[1]*page.layout[2])>1 & jj%%(page.layout[1]*page.layout[2])==1)
{
win.graph()
par(mfrow=page.layout)
}

if (is.vector(freq1))
freq1 <- matrix(freq1,length(freq1),1)


if ((page.layout[1]*page.layout[2])==1)
win.graph()

if (!perc)
plot(x1, freq1[,j], type=type,ylab=ylab,xlab=xlab,xlim=c(0,len-1),main=group.labels[j],pch=pch)

if (perc)
plot(x1, 100*freq1[,j]/sum(freq[,j]), type=type,ylab=ylab,xlab=xlab,xlim=c(0,len-1),main=group.labels[j],pch=pch)


if (zeromm=="text" & !perc)
	{	
text1 <- paste("0mm: ",freq[1,j]," (",round(100*freq[1,j]/sum(freq[,j]),1),"%)",sep="" )
text(len,0.9*max(freq[2:len,j]),text1,adj=1 )
	}				

if (zeromm=="text" & perc)
	{	
text1 <- paste("0mm: ",round(100*freq[1,j]/sum(freq[,j]),1),"%",sep="" )
text(len,0.9*100*max(freq[2:len,j]/sum(freq[,j])),text1,adj=1 )
	}				

}

print(group.labels)
}





